# Rust toolchain — compiler, package manager, and language server.
{
  config,
  lib,
  pkgs,
  ...
}:
with lib; let
  cfg = config.coding.languages.rustToolchain;
in {
  options.coding.languages.rustToolchain.enable = mkEnableOption "Rust toolchain";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      rustc
      cargo
      rust-analyzer
    ];
  };
}
